# DirectoryIterator::getPathname

(PHP 5, PHP 7)

DirectoryIterator::getPathname — Return path and file name of current DirectoryIterator item

### Description

public DirectoryIterator::getPathname ( void ) : string

Get the path and file name of the current file.

### Parameters

This function has no parameters.

### Return Values

Returns the path and file name of current file. Directories do not have a trailing slash.

### Examples

Example #1 DirectoryIterator::getPathname() example

`<?php
$iterator = new DirectoryIterator(dirname(__FILE__));
foreach ($iterator as $fileinfo) {
echo $fileinfo->getPathname() . "\n";
}
?>`

The above example will output something similar to:

    /home/examples/.
    /home/examples/..
    /home/examples/apple.jpg
    /home/examples/banana.jpg
    /home/examples/getpathname.php
    /home/examples/pear.jpg

### See Also

- DirectoryIterator::getBasename() - Get base name of current DirectoryIterator item
- DirectoryIterator::getFilename() - Return file name of current DirectoryIterator item
- DirectoryIterator::getPath() - Get path of current Iterator item without filename
- pathinfo() - Returns information about a file path